Bug 103611 - Graphical root password prompt displays "unknown exit code" error if cancelled
Graphical root password prompt displays "unknown exit code" error if cancelled
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: usermode (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-09-02 19:03 EDT by Barry K. Nathan
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 1.68-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-27 12:53:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2003-09-02 19:03:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030819

Description of problem:
If the user clicks "Cancel" when asked for the root password by the RHN applet,
the applet responds with "Unknown exit code".

Version-Release number of selected component (if applicable):
(WS beta 2, Everything install, system fully up2date except for the
anaconda-product package, as of 20030902)

How reproducible:

Steps to Reproduce:
1. Click on the white-exclamation-point-in-red-circle icon.
2. Click "Launch up2date..."
3. A dialog box appears asking for the root password.
4. Click Cancel. (Maybe the user does not know the root password for some reason.)

Actual Results:  
"Unknown exit code" error dialog appears.

Expected Results:  
I'm not 100% what I'm expecting. I suppose I'm expecting silence (the user
cancelled the operation after all). I'm certainly not expecting an "unknown"
error of any sort.

Additional info:
I'm not 100% sure that this is rhn-applet's fault and not, say, a problem in PAM
or something, but rhn-applet is my best guess.
Comment 1 Daniel Veillard 2003-09-03 05:15:08 EDT
Hum this pop-up is actually done by up2date. I could reproduce the steps
and get the "unknown exit code" pop-up, but that pop-up is raised by up2date.
For example killing the background up2date kills the pop-up.
Maybe the interface of the Gnome root password reading program changed,

Comment 2 Barry K. Nathan 2003-09-04 21:52:29 EDT
Actually, we were both wrong. :) I'm not 100% absolutely sure that usermode is
the guilty party, but I'm 100% sure now that it's neither up2date nor
rhn-applet. I am 100% sure that either (a) consolehelper, in the usermode
package, is broken, or (b) something else is breaking consolehelper.

BTW, this is usermode-1.67-2.
Comment 3 Barry K. Nathan 2003-09-04 21:55:01 EDT
BTW, I managed to do the following in my testing:

(a) I reproduced this bug with redhat-config-xfree86
(b) I moved /usr/sbin/up2date to /usr/sbin/up2date.real (to get it out of the
way), copied /bin/true to /usr/sbin/up2date, then reproduced the bug with
Comment 4 Barry K. Nathan 2003-09-04 21:57:21 EDT
I'm going to "Reassign bug to owner and QA contact of selected component" since
I've now selected usermode and not up2date. I hope that's the right thing to do...
Comment 5 Barry K. Nathan 2003-09-04 22:26:13 EDT
I guess this bug is a dupe of 75834. However, as far as I can tell, it's only
been fixed in Rawhide and not in the RHEL beta channel on RHN yet. For that
reason I'm hesitant to resolve this bug as a dupe at this time, but if anyone
thinks I should go ahead with that anyway, please let me know.
Comment 6 Barry K. Nathan 2003-10-27 12:53:31 EST
usermode 1.68-5 from the RHEL 3 final release (compiled from SRPM from
ftp.redhat.com) fixes this problem -- I've verified that

Note You need to log in before you can comment on or make changes to this bug.